
%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

Summary:        The Sender Policy Framework (SPF) library
Name:           libspf2
Version:        1.2.9
Release:        2%{?dist}
License:        BSD/LGPL
Group:          System Environment/Libraries
Source0:        http://www.%{name}.org/spf/%{name}-%{version}.tar.gz
URL:            http://www.%{name}.org/
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         Wayne Schlitt <wayne@midwestcs.com>

BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(String::Escape)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.00

%description
Libspf2 implements the Sender Policy Framework, a part of the SPF/SRS
protocol pair. It is a library which allows email systems such as
Sendmail, Postfix, Exim, Zmailer and MS Exchange to check SPF records
and make sure that the email is authorized by the domain name that it
is coming from. This prevents email forgery, commonly used by spammers,
scammers and email worms.

%package        devel
Summary:        Development tools for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains the static libraries and header files
for developing software using %{name}.


%package -n     spf2-progs
Summary:        Related programs for %{name}
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{name}-progs

%description -n spf2-progs
The spf2-progs package contains programs for making SPF queries.


%package -n     perl-spf2
Summary:        Perl bindings for %{name}
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description -n perl-spf2
The perl-spf2 package contains the Perl bindings for %{name}.


%prep
%setup -q

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
# __ns_get16 is GLIBC private
export ac_cv_func___ns_get16="no"

%configure \
	--enable-shared \
	--enable-static

%{__make}

# Build Perl bindings
pushd perl
%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	OPTIMIZE="%{optflags}"

%{__make}
popd

%check
export LD_LIBRARY_PATH=%{_builddir}/%{name}-%{version}/src/%{name}/.libs

pushd perl
%{__make} test
popd

%install
[ -n "%{buildroot}" -a "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_prefix}

%{__make} install DESTDIR="%{buildroot}"

%{__rm} -f %{buildroot}%{_bindir}/*_static
%{__rm} -f %{buildroot}%{_libdir}/%{name}.so.?

# Install Perl bindings
pushd perl
%{__make} pure_install PERL_INSTALL_ROOT="%{buildroot}"
popd

find %{buildroot} -type f -name "perl*.pod"       -exec %{__rm} -f {} \;
find %{buildroot} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find %{buildroot} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find %{buildroot} -depth  -empty -type d          -exec %{__rmdir} {} \;

%{__chmod} -R u+w %{buildroot}/*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL LICENSES README TODO
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/spf2
%{_libdir}/%{name}.*a
%{_libdir}/%{name}.so

%files -n spf2-progs
%defattr(-,root,root)
%{_bindir}/spf_example
%{_bindir}/spfd
%{_bindir}/spfquery
%{_bindir}/spftest

%files -n perl-spf2
%defattr(-,root,root)
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Mail
%{_mandir}/man3/*.3*


%changelog
* Sat Feb 05 2011 Denis Fateyev <denis@fateyev.com> - 1.2.9-2.el5.denf
- Rebuild for rpmforge

* Fri Jan 22 2010 Denis Fateyev <denis@fateyev.com> - 1.2.9-1.el5
- Rebuild for rhel/centos 5

* Thu Jan 01 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.9-1
- New version (1.2.9)

* Fri Mar 28 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.5-4
- Rewritten for buildsystem

* Mon Jan 29 2007 peter.pramberger@member.fsf.org 1.2.5-3
- some spec file cleanups (x86_64 support)

* Tue May 23 2006 peter.pramberger@member.fsf.org
- created
